digiKam Developer Documentation: Digikam::ImportSettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::ImportSettings Class Reference
Inheritance diagram for Digikam::ImportSettings:

## Public Types
enum | ItemLeftClickAction { ShowPreview = 0 , StartEditor , OpenDefault }

## Signals
void | setupChanged ()

## Public Member Functions
void | emitSetupChanged ()
int | getDefaultIconSize () const
bool | getIconShowCoordinates () const
bool | getIconShowDate () const
bool | getIconShowImageFormat () const
bool | getIconShowName () const
bool | getIconShowOverlays () const
bool | getIconShowRating () const
bool | getIconShowSize () const
bool | getIconShowTags () const
bool | getIconShowTitle () const
QFont | getIconViewFont () const
int | getImageSeparationMode () const
int | getImageSortBy () const
int | getImageSortOrder () const
int | getItemLeftClickAction () const
bool | getPreviewItemsWhileDownload () const
bool | getPreviewLoadFullImageSize () const
bool | getPreviewShowIcons () const
bool | getShowThumbbar () const
bool | getShowToolTips () const
QFont | getToolTipsFont () const
bool | getToolTipsShowFileDate () const
bool | getToolTipsShowFileName () const
bool | getToolTipsShowFileSize () const
bool | getToolTipsShowImageDim () const
bool | getToolTipsShowImageType () const
bool | getToolTipsShowLabelRating () const
bool | getToolTipsShowPhotoExpo () const
bool | getToolTipsShowPhotoFlash () const
bool | getToolTipsShowPhotoFocal () const
bool | getToolTipsShowPhotoLens () const
bool | getToolTipsShowPhotoMake () const
bool | getToolTipsShowPhotoWB () const
bool | getToolTipsShowTags () const
void | readSettings ()
void | saveSettings ()
void | setDefaultIconSize (int val)
void | setIconShowCoordinates (bool val)
void | setIconShowDate (bool val)
void | setIconShowImageFormat (bool val)
void | setIconShowName (bool val)
void | setIconShowOverlays (bool val)
void | setIconShowRating (bool val)
void | setIconShowSize (bool val)
void | setIconShowTags (bool val)
void | setIconShowTitle (bool val)
void | setIconViewFont (const QFont &font)
void | setImageSeparationMode (int mode)
void | setImageSortBy (int sortBy)
void | setImageSortOrder (int order)
void | setItemLeftClickAction (int action)
void | setPreviewItemsWhileDownload (bool val)
void | setPreviewLoadFullImageSize (bool val)
void | setPreviewShowIcons (bool val)
void | setShowThumbbar (bool val)
void | setShowToolTips (bool val)
void | setToolTipsFont (const QFont &font)
void | setToolTipsShowFileDate (bool val)
void | setToolTipsShowFileName (bool val)
void | setToolTipsShowFileSize (bool val)
void | setToolTipsShowImageDim (bool val)
void | setToolTipsShowImageType (bool val)
void | setToolTipsShowLabelRating (bool val)
void | setToolTipsShowPhotoExpo (bool val)
void | setToolTipsShowPhotoFlash (bool val)
void | setToolTipsShowPhotoFocal (bool val)
void | setToolTipsShowPhotoLens (bool val)
void | setToolTipsShowPhotoMake (bool val)
void | setToolTipsShowPhotoWB (bool val)
void | setToolTipsShowTags (bool val)
bool | showToolTipsIsValid () const

## Static Public Member Functions
static ImportSettings * | instance ()